Bug 117427 - Stylist covers entire window in all OOffice apps
Stylist covers entire window in all OOffice apps
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 16:06 EST by Calvin Webster
Modified: 2007-04-18 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 12:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Calvin Webster 2004-03-03 16:06:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
The Stylist window occupies the entire application window when
selected. This is true regardless of which OO application is used.
However, since Writer opens with the stylist by default, it covers
everything, confusing users into thinking Writer did not open.

The style selection drop-down list appears at the bottom of this
stretched stylist window. The top of the stylist window is not visible
so there is no way to move it. To access the application menu bar and
shut off stylist, the stylist window must be resized from bottom to
just shy of the top of the application window.


Version-Release number of selected component (if applicable):
openoffice-1.0.2-4

How reproducible:
Always

Steps to Reproduce:
1. Open any OOffice application
2. Click "Stylist" button or select from "Format" menu.
3. If opening Writer for the first time, Stylist opens by default.
    

Actual Results:  Neither menu bars, tool bars, text entry areas nor
any other part of the application is visible. The Stylist occupies the
entire window.

Expected Results:  A small, movable, possibly re-sizable window should
appear with the ability to select document styles from a simple
drop-down list. Its default location should not obscure any other
application features.

Additional info:

This system is a Dell Precision 360n with a stock Red Hat 9
installation and RHN subscription entitlement. It is fully up2date.
Comment 1 Colin Charles 2004-05-05 18:48:35 EDT
Have you tried a newer version that's available? 
Comment 2 Caolan McNamara 2004-10-28 10:59:01 EDT
caolanm->Calvin Webster: Is this still the case with a contemporary
openoffice.org e.g. 1.1.2-10 ?
Comment 3 Calvin Webster 2004-10-28 11:28:21 EDT
I'm still using 1.0.2.

I found that this problem was due to a bug in the way Gnome defined
the screen resolution. [System Settings]->[Display] On the "Advanced"
tab there is a [Set DPI...] button allowing you to set the physical
resolution. It doesn't work properly, at least not on my Dell with a
1901FP flat panel LCD display.

While most applications seemeded to operate properly, OO apps had
problems rendering the fonts. Grossly enlarged fonts caused the
Stylist dialog to expand to cover the application window.

After tweaking the resolution and ensuring I used the nvidia driver I
was able to mitigate the issue. I ended up manually resizing the
stylist dialog, then hid it and saved the config.
Comment 4 Caolan McNamara 2004-10-28 12:08:13 EDT
Fair enough. Closing because RH9 is EOL by now and DPI detection
improvements have been made since 1.0.2 in the 1.1.2 series where
theres been no similiar 1.1.2 reports.

Note You need to log in before you can comment on or make changes to this bug.